# $Revision: 1.15 $, $Date: 2008/10/14 06:43:37 $
Summary:	A graphical interface for modifying the keyboard
Summary(pl.UTF-8):	Graficzny interfejs do zmiany klawiatury
Name:		system-config-keyboard
Version:	1.2.15
Release:	5
License:	GPL
Group:		Base
# https://fedorahosted.org/releases/s/y/system-config-keyboard/ (not yet)
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	13a0e4444f7fcbb6a3e9c88f42285faf
Patch1:		%{name}-beenset.patch
Patch2:		%{name}-fixcomments.patch
URL:		https://fedorahosted.org/system-config-keyboard/
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	sed >= 4
Requires(post,postun):	hicolor-icon-theme
Requires:	firstboot >= 1.99
Requires:	gtk+2 >= 2:2.6
Requires:	python >= 1:2.0
Requires:	python-rhpl >= 0.53
Requires:	python-xf86config
BuildArch:	noarch
ExclusiveOS:	Linux
ExcludeArch:	s390 s390x ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
system-config-keyboard is a graphical user interface that allows the
user to change the default keyboard of the system.

%description -l pl.UTF-8
system-config-keyboard to graficzny interfejs użytkownika
umożliwiający użytkownikowi zmianę domyślnej klawiatury w systemie.

%prep
%setup -q
%patch1 -p1
%patch2 -p0

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTROOT=$RPM_BUILD_ROOT

desktop-file-install --vendor system --delete-original \
	--dir $RPM_BUILD_ROOT%{_desktopdir} \
	--add-category Application \
	--add-category System \
	$RPM_BUILD_ROOT%{_desktopdir}/system-config-keyboard.desktop

sed -i 's/\.py/.pyc/' $RPM_BUILD_ROOT%{_sbindir}/system-config-keyboard

%py_comp $RPM_BUILD_ROOT%{_datadir}/system-config-keyboard
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/system-config-keyboard
%py_postclean %{_datadir}/system-config-keyboard

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.apps/system-config-keyboard
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/system-config-keyboard
%attr(755,root,root) %{_sbindir}/system-config-keyboard
%dir %{_datadir}/system-config-keyboard
%{_datadir}/system-config-keyboard/*
%dir %{_datadir}/firstboot
%dir %{_datadir}/firstboot/modules
%{_datadir}/firstboot/modules/*
%{_desktopdir}/system-config-keyboard.desktop
%{_iconsdir}/hicolor/48x48/apps/system-config-keyboard.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: system-config-keyboard.spec,v $
Revision 1.15  2008/10/14 06:43:37  arekm
- release 5

Revision 1.14  2008/10/03 18:05:38  arekm
- release 4

Revision 1.13  2008/09/19 22:53:25  qboosh
- sed 4

Revision 1.12  2008/09/19 22:22:34  patrys
- use .pyc not .py
- rel 3

Revision 1.11  2008/09/15 23:52:23  patrys
- update hicolor

Revision 1.10  2008/08/29 15:29:32  qboosh
- updated URL

Revision 1.9  2008/08/29 11:52:04  patrys
- 1.2.15

Revision 1.8  2007/06/12 06:01:48  spider
- url fix

Revision 1.7  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.5  2006/09/28 00:00:04  glen
- no consolehelper on pld

Revision 1.4  2006/06/11 18:36:31  qboosh
- pl

Revision 1.3  2006/06/05 23:08:13  glen
- omit default attr
- adapter with working adapter.awk

Revision 1.2  2006/06/05 21:47:22  glen
- pyc are packaged
- disable scripts

Revision 1.1  2006/06/05 21:45:26  glen
- for anaconda
